Subject: bug#17663: 24.4.50; arc-mode.el has unrar-free hard-coded

From: Nicolas Petton <[email-masked]>
Date: Wed, 30 Sep 2015 10:18:14 +0200

Stefan Monnier <[email-masked]> writes:

>>     arc-mode.el in the trunk has unrar-free hard-coded. unrar-free is no
>>     longer available in debian testing, and did not work correctly when
>>     it was available in the past. It would be better to use unar/lsar
>>     instead, see http://unarchiver.c3.cx/
>
> Indeed, thanks for bringing it up.  Could you provide a patch that
> does that?

I just installed a patch in master to use unar and lsar.

My patch removes the use of the "unrar-free" binary completely as 1) it
is no longer available in Fedora, Ubuntu and Debian and 2) it has been
reported not to work properly, but I guess that's up for discussion.

Cheers,
Nico